export class Noticia {
  id: string | undefined;
  titulo: string | undefined;
  introduccion: string | undefined;
  descripcion: string | undefined;
  fecha: string | undefined;
  foto: string | undefined;
  categoria: string | undefined;

  constructor(json?: Partial<Noticia>) {
      Object.assign(this, json);
  }

  static fromJson(json: Partial<Noticia>) {
    return new Noticia(json);
  }

  static fromJsonList(data: Partial<Noticia>[]) {
    return data.map((_data) => new Noticia(_data));
  }
}
